Subject: bug#11937: 24.1.50; Gnus error "No such function: nnagent-retrieve-articles"

From: Dmitry Gutov <[email-masked]>
Date: Mon, 05 Nov 2012 09:49:50 +0400

So, I'm seeing this again now. The backtrace looks pretty much the same.

I press 'J u' when the point is on this very group, and get this error. 
When I do this with other groups, I see the expected "Fetching *... done".

What's different about it from other groups is that it has 15 messages I 
can't read. They show up like this:

%  [   0: Gnus Agent             ] [Undownloaded article 64379]
%  [   0: Gnus Agent             ] [Undownloaded article 64380]
    [   0: Gnus Agent             ] [Undownloaded article 64381]

and Gnus just says "message marked for downloading" when I try to read 
any of them. Maybe this actual operation (download a few selected 
articles) is not implemented?

On 04.09.2012 22:37, Dmitry Gutov wrote:
> On 04.09.2012 20:06, Lars Ingebrigtsen wrote:
>>> Debugger entered--Lisp error: (error "No such function:
>>> nnagent-retrieve-articles")
>>>    signal(error ("No such function: nnagent-retrieve-articles"))
>>>    error("No such function: %s" nnagent-retrieve-articles)
>>>    gnus-get-function((nntp "news.gmane.org") retrieve-articles)
>>>    gnus-retrieve-articles((60497 60498 60499 60500 60501 60502)
>>> "gmane.comp.java.clojure.user")
>>>    gnus-agent-fetch-articles("gmane.comp.java.clojure.user" (60497
>>> 60498 60499 60500 60501 60502))
>>>    gnus-agent-fetch-group-1("gmane.comp.java.clojure.user" (nntp
>>> "news.gmane.org"))
>>>    gnus-agent-fetch-group("gmane.comp.java.clojure.user")
>>
>> I'm unable to reproduce this bug.  Is there anything special about this
>> particular group?  What does `G E' on the group look like?
>
> I can't reproduce it now either, but I've seen this problem at least
> twice, and it was accompanied by Gnus refusing to download articles'
> contents (they showed up as empty), in all groups.
>
> If you write some troubleshooting instructions, I'll be sure to try them
> next time.
>
> I don't think there's anything special about this group, all my groups
> go through gmane. Here's 'G E' output:
>
> ("gmane.comp.java.clojure.user" 6
>   ((1 . 62173))
>   ((seen
>     (51708 . 56410)
>     (56441 . 56678)
>     (56763 . 57446)
>     (57490 . 57576)
>     (57585 . 57688)
>     (57702 . 57713)
>     (57737 . 57779)
>     (57827 . 57856)
>     (57861 . 57891)
>     (57977 . 58079)
>     (58194 . 58205)
>     (58231 . 58237)
>     (58246 . 58261)
>     (58342 . 58514)
>     (58559 . 58561)
>     (58578 . 58583)
>     58707
>     (58808 . 58943)
>     (58991 . 59003)
>     (59039 . 59121)
>     (59136 . 59194)
>     (59199 . 59385)
>     (59396 . 62173))))
>